help-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: GNU Emacs 23.0.60.1 (i386-mingw-nt5.1.2600) of 2008-08-06 on LENNART


From: Giorgos Keramidas
Subject: Re: GNU Emacs 23.0.60.1 (i386-mingw-nt5.1.2600) of 2008-08-06 on LENNART-69DE564 (patched): error "Required feature `diary-loaddefs' was not provided"
Date: Sun, 10 Aug 2008 18:58:24 +0300
User-agent: Gnus/5.13 (Gnus v5.13) Emacs/23.0.60 (berkeley-unix)

On Sun, 10 Aug 2008 16:48:55 +0200, "Lennart Borgman (gmail)" <address@hidden> 
wrote:
>Giorgos Keramidas wrote:
>> I don't really know much about the internals of the Windows
>> installers of the packaging system of Windows, but let me describe an
>> idea that may be useful.
>>
>> You could modify the installer to
>>
>>   (1) perform pre-installation checks.  When it finds an existing
>>       installation it can prompt the user that "An existing Emacs
>>       installation has been found.  Please uninstall it first, and rerun
>>       this installer."
>>
>>   (2) Only remove the files that the installer itself added to the
>>       system (i.e. by using some sort of "packaging list").
>
> Thanks for the suggestions. I think they are reasonable and
> good. However the installer that I am using (Inno Setup, it is very
> good) does not have this possibility during reinstallation. You have
> to uninstall before installing to get this effect.

It's ok.

> I have decided to leave it as it is at the moment, but I will try to
> find a place to add a noticeable remark on the problem. Maybe I will
> add it to the information you see during installation (though I guess
> you normally never read that info ...).

I guess we can live with this.  I had not heard of 'stale' files before,
because I normally uninstall the old version and clean up the directory
manually :)





reply via email to

[Prev in Thread] Current Thread [Next in Thread]